# Makefile.in generated by automake 1.15.1 from Makefile.am.
# src/libguac/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
# NOTE: Parts of this file (Makefile.am) are automatically transcluded verbatim
# into Makefile.in. Though the build system (GNU Autotools) automatically adds
# its own license boilerplate to the generated Makefile.in, that boilerplate
# does not apply to the transcluded portions of Makefile.am which are licensed
# to you by the ASF under the Apache License, Version 2.0, as described above.
#



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/guacamole-server
pkgincludedir = $(includedir)/guacamole-server
pkglibdir = $(libdir)/guacamole-server
pkglibexecdir = $(libexecdir)/guacamole-server
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu

# Compile WebP support if available
am__append_1 = encode-webp.c
am__append_2 = encode-webp.h

# SSL support
am__append_3 = socket-ssl.c
am__append_4 = guacamole/socket-ssl.h

# Winsock support
#am__append_5 = socket-wsa.c
#am__append_6 = guacamole/socket-wsa.h
subdir = src/libguac
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__libguacinc_HEADERS_DIST) \
	$(am__noinst_HEADERS_DIST) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libguacincdir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libguac_la_LIBADD =
am__libguac_la_SOURCES_DIST = argv.c audio.c client.c encode-jpeg.c \
	encode-png.c error.c hash.c id.c palette.c parser.c pool.c \
	protocol.c raw_encoder.c socket.c socket-broadcast.c \
	socket-fd.c socket-nest.c socket-tee.c string.c timestamp.c \
	unicode.c user.c user-handlers.c user-handshake.c wait-fd.c \
	wol.c encode-webp.c socket-ssl.c socket-wsa.c
am__objects_1 = libguac_la-encode-webp.lo
am__objects_2 = libguac_la-socket-ssl.lo
#am__objects_3 = libguac_la-socket-wsa.lo
am_libguac_la_OBJECTS = libguac_la-argv.lo libguac_la-audio.lo \
	libguac_la-client.lo libguac_la-encode-jpeg.lo \
	libguac_la-encode-png.lo libguac_la-error.lo \
	libguac_la-hash.lo libguac_la-id.lo libguac_la-palette.lo \
	libguac_la-parser.lo libguac_la-pool.lo libguac_la-protocol.lo \
	libguac_la-raw_encoder.lo libguac_la-socket.lo \
	libguac_la-socket-broadcast.lo libguac_la-socket-fd.lo \
	libguac_la-socket-nest.lo libguac_la-socket-tee.lo \
	libguac_la-string.lo libguac_la-timestamp.lo \
	libguac_la-unicode.lo libguac_la-user.lo \
	libguac_la-user-handlers.lo libguac_la-user-handshake.lo \
	libguac_la-wait-fd.lo libguac_la-wol.lo $(am__objects_1) \
	$(am__objects_2) $(am__objects_3)
libguac_la_OBJECTS = $(am_libguac_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libguac_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(libguac_la_CFLAGS) \
	$(CFLAGS) $(libguac_la_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libguac_la_SOURCES)
DIST_SOURCES = $(am__libguac_la_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__libguacinc_HEADERS_DIST = guacamole/argv.h \
	guacamole/argv-constants.h guacamole/argv-fntypes.h \
	guacamole/audio.h guacamole/audio-fntypes.h \
	guacamole/audio-types.h guacamole/client-constants.h \
	guacamole/client.h guacamole/client-fntypes.h \
	guacamole/client-types.h guacamole/error.h \
	guacamole/error-types.h guacamole/hash.h guacamole/layer.h \
	guacamole/layer-types.h guacamole/object.h \
	guacamole/object-types.h guacamole/parser-constants.h \
	guacamole/parser.h guacamole/parser-types.h \
	guacamole/plugin-constants.h guacamole/plugin.h \
	guacamole/pool.h guacamole/pool-types.h guacamole/protocol.h \
	guacamole/protocol-constants.h guacamole/protocol-types.h \
	guacamole/socket-constants.h guacamole/socket.h \
	guacamole/socket-fntypes.h guacamole/socket-types.h \
	guacamole/stream.h guacamole/stream-types.h guacamole/string.h \
	guacamole/timestamp.h guacamole/timestamp-types.h \
	guacamole/unicode.h guacamole/user.h \
	guacamole/user-constants.h guacamole/user-fntypes.h \
	guacamole/user-types.h guacamole/wol.h \
	guacamole/wol-constants.h guacamole/socket-ssl.h \
	guacamole/socket-wsa.h
am__noinst_HEADERS_DIST = id.h encode-jpeg.h encode-png.h palette.h \
	user-handlers.h raw_encoder.h wait-fd.h encode-webp.h
HEADERS = $(libguacinc_HEADERS) $(noinst_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/build-aux/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = ${SHELL} /root/guacamole-server/build-aux/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /root/guacamole-server/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /root/guacamole-server/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /root/guacamole-server/build-aux/missing automake-1.15
AVCODEC_CFLAGS = -I/usr/include/x86_64-linux-gnu
AVCODEC_LIBS = -lavcodec
AVFORMAT_CFLAGS = -I/usr/include/x86_64-linux-gnu
AVFORMAT_LIBS = -lavformat
AVUTIL_CFLAGS = -I/usr/include/x86_64-linux-gnu
AVUTIL_LIBS = -lavutil
AWK = mawk
CAIRO_LIBS = -lcairo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
COMMON_INCLUDE = -I$(top_srcdir)/src/common
COMMON_LTLIB = $(top_builddir)/src/common/libguac_common.la
COMMON_SSH_INCLUDE = -I$(top_srcdir)/src/common-ssh
COMMON_SSH_LTLIB = $(top_builddir)/src/common-ssh/libguac_common_ssh.la
CPP = gcc -E
CPPFLAGS = 
CUNIT_LIBS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DL_LIBS = -ldl
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
FREERDP2_PLUGIN_DIR = /usr/lib/x86_64-linux-gnu/freerdp2
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JPEG_LIBS = -ljpeg
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBGUAC_CLIENT_KUBERNETES_INCLUDE = -I$(top_srcdir)/src/protocols/kubernetes
LIBGUAC_CLIENT_KUBERNETES_LTLIB = $(top_builddir)/src/protocols/kubernetes/libguac-client-kubernetes.la
LIBGUAC_CLIENT_RDP_INCLUDE = -I$(top_srcdir)/src/protocols/rdp
LIBGUAC_CLIENT_RDP_LTLIB = $(top_builddir)/src/protocols/rdp/libguac-client-rdp.la
LIBGUAC_INCLUDE = -I$(top_srcdir)/src/libguac
LIBGUAC_LTLIB = $(top_builddir)/src/libguac/libguac.la
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /root/guacamole-server/build-aux/missing makeinfo
MANIFEST_TOOL = :
MATH_LIBS = -lm
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = guacamole-server
PACKAGE_BUGREPORT = 
PACKAGE_NAME = guacamole-server
PACKAGE_STRING = guacamole-server 1.3.0
PACKAGE_TARNAME = guacamole-server
PACKAGE_URL = 
PACKAGE_VERSION = 1.3.0
PANGOCAIRO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/freetype2 -I/usr/include/libpng16
PANGOCAIRO_LIBS = -lpangocairo-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lcairo
PANGO_CFLAGS = -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
PANGO_LIBS = -lpango-1.0 -lgobject-2.0 -lglib-2.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PNG_LIBS = -lpng
PTHREAD_LIBS = -lpthread
PULSE_INCLUDE = -I$(top_srcdir)/src/pulse
PULSE_LIBS =  -lpulse
PULSE_LTLIB = $(top_builddir)/src/pulse/libguac_pulse.la
RANLIB = ranlib
RDP_CFLAGS = -I/usr/include/freerdp2/ -I/usr/include/winpr2
RDP_LIBS = -lfreerdp2 -lfreerdp-client2 -lwinpr2
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SSH_LIBS =  -lssh2
SSL_LIBS =  -lssl -lcrypto
STRIP = strip
SWSCALE_CFLAGS = -I/usr/include/x86_64-linux-gnu
SWSCALE_LIBS = -lswscale
TELNET_LIBS =  -ltelnet
TERMINAL_INCLUDE = -I$(top_srcdir)/src/terminal $(PANGO_CFLAGS) $(PANGOCAIRO_CFLAGS) $(COMMON_INCLUDE)
TERMINAL_LTLIB = $(top_builddir)/src/terminal/libguac_terminal.la
UUID_LIBS = -lossp-uuid
VERSION = 1.3.0
VNC_LIBS =  -lvncclient
VORBIS_LIBS =  -logg -lvorbis -lvorbisenc
WEBP_LIBS =  -lwebp
WEBSOCKETS_LIBS =  -lwebsockets
WINSOCK_LIBS = 
abs_builddir = /root/guacamole-server/src/libguac
abs_srcdir = /root/guacamole-server/src/libguac
abs_top_builddir = /root/guacamole-server
abs_top_srcdir = /root/guacamole-server
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
init_dir = 
install_sh = ${SHELL} /root/guacamole-server/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
systemd_dir = 
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
AUTOMAKE_OPTIONS = foreign 
ACLOCAL_AMFLAGS = -I m4
lib_LTLIBRARIES = libguac.la
SUBDIRS = . tests
libguacincdir = $(includedir)/guacamole
libguacinc_HEADERS = guacamole/argv.h guacamole/argv-constants.h \
	guacamole/argv-fntypes.h guacamole/audio.h \
	guacamole/audio-fntypes.h guacamole/audio-types.h \
	guacamole/client-constants.h guacamole/client.h \
	guacamole/client-fntypes.h guacamole/client-types.h \
	guacamole/error.h guacamole/error-types.h guacamole/hash.h \
	guacamole/layer.h guacamole/layer-types.h guacamole/object.h \
	guacamole/object-types.h guacamole/parser-constants.h \
	guacamole/parser.h guacamole/parser-types.h \
	guacamole/plugin-constants.h guacamole/plugin.h \
	guacamole/pool.h guacamole/pool-types.h guacamole/protocol.h \
	guacamole/protocol-constants.h guacamole/protocol-types.h \
	guacamole/socket-constants.h guacamole/socket.h \
	guacamole/socket-fntypes.h guacamole/socket-types.h \
	guacamole/stream.h guacamole/stream-types.h guacamole/string.h \
	guacamole/timestamp.h guacamole/timestamp-types.h \
	guacamole/unicode.h guacamole/user.h \
	guacamole/user-constants.h guacamole/user-fntypes.h \
	guacamole/user-types.h guacamole/wol.h \
	guacamole/wol-constants.h $(am__append_4) $(am__append_6)
noinst_HEADERS = id.h encode-jpeg.h encode-png.h palette.h \
	user-handlers.h raw_encoder.h wait-fd.h $(am__append_2)
libguac_la_SOURCES = argv.c audio.c client.c encode-jpeg.c \
	encode-png.c error.c hash.c id.c palette.c parser.c pool.c \
	protocol.c raw_encoder.c socket.c socket-broadcast.c \
	socket-fd.c socket-nest.c socket-tee.c string.c timestamp.c \
	unicode.c user.c user-handlers.c user-handshake.c wait-fd.c \
	wol.c $(am__append_1) $(am__append_3) $(am__append_5)
libguac_la_CFLAGS = \
    -Werror -Wall -pedantic

libguac_la_LDFLAGS = \
    -version-info 19:0:0 \
    -no-undefined        \
    -lcairo         \
    -ldl            \
    -ljpeg          \
    -lpng           \
    -lpthread       \
     -lssl -lcrypto           \
    -lossp-uuid          \
     -logg -lvorbis -lvorbisenc        \
     -lwebp          \
    

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libguac/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign src/libguac/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libguac.la: $(libguac_la_OBJECTS) $(libguac_la_DEPENDENCIES) $(EXTRA_libguac_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libguac_la_LINK) -rpath $(libdir) $(libguac_la_OBJECTS) $(libguac_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libguac_la-argv.Plo
include ./$(DEPDIR)/libguac_la-audio.Plo
include ./$(DEPDIR)/libguac_la-client.Plo
include ./$(DEPDIR)/libguac_la-encode-jpeg.Plo
include ./$(DEPDIR)/libguac_la-encode-png.Plo
include ./$(DEPDIR)/libguac_la-encode-webp.Plo
include ./$(DEPDIR)/libguac_la-error.Plo
include ./$(DEPDIR)/libguac_la-hash.Plo
include ./$(DEPDIR)/libguac_la-id.Plo
include ./$(DEPDIR)/libguac_la-palette.Plo
include ./$(DEPDIR)/libguac_la-parser.Plo
include ./$(DEPDIR)/libguac_la-pool.Plo
include ./$(DEPDIR)/libguac_la-protocol.Plo
include ./$(DEPDIR)/libguac_la-raw_encoder.Plo
include ./$(DEPDIR)/libguac_la-socket-broadcast.Plo
include ./$(DEPDIR)/libguac_la-socket-fd.Plo
include ./$(DEPDIR)/libguac_la-socket-nest.Plo
include ./$(DEPDIR)/libguac_la-socket-ssl.Plo
include ./$(DEPDIR)/libguac_la-socket-tee.Plo
include ./$(DEPDIR)/libguac_la-socket-wsa.Plo
include ./$(DEPDIR)/libguac_la-socket.Plo
include ./$(DEPDIR)/libguac_la-string.Plo
include ./$(DEPDIR)/libguac_la-timestamp.Plo
include ./$(DEPDIR)/libguac_la-unicode.Plo
include ./$(DEPDIR)/libguac_la-user-handlers.Plo
include ./$(DEPDIR)/libguac_la-user-handshake.Plo
include ./$(DEPDIR)/libguac_la-user.Plo
include ./$(DEPDIR)/libguac_la-wait-fd.Plo
include ./$(DEPDIR)/libguac_la-wol.Plo

.c.o:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<

libguac_la-argv.lo: argv.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-argv.lo -MD -MP -MF $(DEPDIR)/libguac_la-argv.Tpo -c -o libguac_la-argv.lo `test -f 'argv.c' || echo '$(srcdir)/'`argv.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-argv.Tpo $(DEPDIR)/libguac_la-argv.Plo
#	$(AM_V_CC)source='argv.c' object='libguac_la-argv.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-argv.lo `test -f 'argv.c' || echo '$(srcdir)/'`argv.c

libguac_la-audio.lo: audio.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-audio.lo -MD -MP -MF $(DEPDIR)/libguac_la-audio.Tpo -c -o libguac_la-audio.lo `test -f 'audio.c' || echo '$(srcdir)/'`audio.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-audio.Tpo $(DEPDIR)/libguac_la-audio.Plo
#	$(AM_V_CC)source='audio.c' object='libguac_la-audio.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-audio.lo `test -f 'audio.c' || echo '$(srcdir)/'`audio.c

libguac_la-client.lo: client.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-client.lo -MD -MP -MF $(DEPDIR)/libguac_la-client.Tpo -c -o libguac_la-client.lo `test -f 'client.c' || echo '$(srcdir)/'`client.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-client.Tpo $(DEPDIR)/libguac_la-client.Plo
#	$(AM_V_CC)source='client.c' object='libguac_la-client.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-client.lo `test -f 'client.c' || echo '$(srcdir)/'`client.c

libguac_la-encode-jpeg.lo: encode-jpeg.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-encode-jpeg.lo -MD -MP -MF $(DEPDIR)/libguac_la-encode-jpeg.Tpo -c -o libguac_la-encode-jpeg.lo `test -f 'encode-jpeg.c' || echo '$(srcdir)/'`encode-jpeg.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-encode-jpeg.Tpo $(DEPDIR)/libguac_la-encode-jpeg.Plo
#	$(AM_V_CC)source='encode-jpeg.c' object='libguac_la-encode-jpeg.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-encode-jpeg.lo `test -f 'encode-jpeg.c' || echo '$(srcdir)/'`encode-jpeg.c

libguac_la-encode-png.lo: encode-png.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-encode-png.lo -MD -MP -MF $(DEPDIR)/libguac_la-encode-png.Tpo -c -o libguac_la-encode-png.lo `test -f 'encode-png.c' || echo '$(srcdir)/'`encode-png.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-encode-png.Tpo $(DEPDIR)/libguac_la-encode-png.Plo
#	$(AM_V_CC)source='encode-png.c' object='libguac_la-encode-png.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-encode-png.lo `test -f 'encode-png.c' || echo '$(srcdir)/'`encode-png.c

libguac_la-error.lo: error.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-error.lo -MD -MP -MF $(DEPDIR)/libguac_la-error.Tpo -c -o libguac_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-error.Tpo $(DEPDIR)/libguac_la-error.Plo
#	$(AM_V_CC)source='error.c' object='libguac_la-error.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c

libguac_la-hash.lo: hash.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-hash.lo -MD -MP -MF $(DEPDIR)/libguac_la-hash.Tpo -c -o libguac_la-hash.lo `test -f 'hash.c' || echo '$(srcdir)/'`hash.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-hash.Tpo $(DEPDIR)/libguac_la-hash.Plo
#	$(AM_V_CC)source='hash.c' object='libguac_la-hash.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-hash.lo `test -f 'hash.c' || echo '$(srcdir)/'`hash.c

libguac_la-id.lo: id.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-id.lo -MD -MP -MF $(DEPDIR)/libguac_la-id.Tpo -c -o libguac_la-id.lo `test -f 'id.c' || echo '$(srcdir)/'`id.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-id.Tpo $(DEPDIR)/libguac_la-id.Plo
#	$(AM_V_CC)source='id.c' object='libguac_la-id.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-id.lo `test -f 'id.c' || echo '$(srcdir)/'`id.c

libguac_la-palette.lo: palette.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-palette.lo -MD -MP -MF $(DEPDIR)/libguac_la-palette.Tpo -c -o libguac_la-palette.lo `test -f 'palette.c' || echo '$(srcdir)/'`palette.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-palette.Tpo $(DEPDIR)/libguac_la-palette.Plo
#	$(AM_V_CC)source='palette.c' object='libguac_la-palette.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-palette.lo `test -f 'palette.c' || echo '$(srcdir)/'`palette.c

libguac_la-parser.lo: parser.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-parser.lo -MD -MP -MF $(DEPDIR)/libguac_la-parser.Tpo -c -o libguac_la-parser.lo `test -f 'parser.c' || echo '$(srcdir)/'`parser.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-parser.Tpo $(DEPDIR)/libguac_la-parser.Plo
#	$(AM_V_CC)source='parser.c' object='libguac_la-parser.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-parser.lo `test -f 'parser.c' || echo '$(srcdir)/'`parser.c

libguac_la-pool.lo: pool.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-pool.lo -MD -MP -MF $(DEPDIR)/libguac_la-pool.Tpo -c -o libguac_la-pool.lo `test -f 'pool.c' || echo '$(srcdir)/'`pool.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-pool.Tpo $(DEPDIR)/libguac_la-pool.Plo
#	$(AM_V_CC)source='pool.c' object='libguac_la-pool.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-pool.lo `test -f 'pool.c' || echo '$(srcdir)/'`pool.c

libguac_la-protocol.lo: protocol.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-protocol.lo -MD -MP -MF $(DEPDIR)/libguac_la-protocol.Tpo -c -o libguac_la-protocol.lo `test -f 'protocol.c' || echo '$(srcdir)/'`protocol.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-protocol.Tpo $(DEPDIR)/libguac_la-protocol.Plo
#	$(AM_V_CC)source='protocol.c' object='libguac_la-protocol.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-protocol.lo `test -f 'protocol.c' || echo '$(srcdir)/'`protocol.c

libguac_la-raw_encoder.lo: raw_encoder.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-raw_encoder.lo -MD -MP -MF $(DEPDIR)/libguac_la-raw_encoder.Tpo -c -o libguac_la-raw_encoder.lo `test -f 'raw_encoder.c' || echo '$(srcdir)/'`raw_encoder.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-raw_encoder.Tpo $(DEPDIR)/libguac_la-raw_encoder.Plo
#	$(AM_V_CC)source='raw_encoder.c' object='libguac_la-raw_encoder.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-raw_encoder.lo `test -f 'raw_encoder.c' || echo '$(srcdir)/'`raw_encoder.c

libguac_la-socket.lo: socket.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-socket.lo -MD -MP -MF $(DEPDIR)/libguac_la-socket.Tpo -c -o libguac_la-socket.lo `test -f 'socket.c' || echo '$(srcdir)/'`socket.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-socket.Tpo $(DEPDIR)/libguac_la-socket.Plo
#	$(AM_V_CC)source='socket.c' object='libguac_la-socket.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-socket.lo `test -f 'socket.c' || echo '$(srcdir)/'`socket.c

libguac_la-socket-broadcast.lo: socket-broadcast.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-socket-broadcast.lo -MD -MP -MF $(DEPDIR)/libguac_la-socket-broadcast.Tpo -c -o libguac_la-socket-broadcast.lo `test -f 'socket-broadcast.c' || echo '$(srcdir)/'`socket-broadcast.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-socket-broadcast.Tpo $(DEPDIR)/libguac_la-socket-broadcast.Plo
#	$(AM_V_CC)source='socket-broadcast.c' object='libguac_la-socket-broadcast.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-socket-broadcast.lo `test -f 'socket-broadcast.c' || echo '$(srcdir)/'`socket-broadcast.c

libguac_la-socket-fd.lo: socket-fd.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-socket-fd.lo -MD -MP -MF $(DEPDIR)/libguac_la-socket-fd.Tpo -c -o libguac_la-socket-fd.lo `test -f 'socket-fd.c' || echo '$(srcdir)/'`socket-fd.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-socket-fd.Tpo $(DEPDIR)/libguac_la-socket-fd.Plo
#	$(AM_V_CC)source='socket-fd.c' object='libguac_la-socket-fd.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-socket-fd.lo `test -f 'socket-fd.c' || echo '$(srcdir)/'`socket-fd.c

libguac_la-socket-nest.lo: socket-nest.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-socket-nest.lo -MD -MP -MF $(DEPDIR)/libguac_la-socket-nest.Tpo -c -o libguac_la-socket-nest.lo `test -f 'socket-nest.c' || echo '$(srcdir)/'`socket-nest.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-socket-nest.Tpo $(DEPDIR)/libguac_la-socket-nest.Plo
#	$(AM_V_CC)source='socket-nest.c' object='libguac_la-socket-nest.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-socket-nest.lo `test -f 'socket-nest.c' || echo '$(srcdir)/'`socket-nest.c

libguac_la-socket-tee.lo: socket-tee.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-socket-tee.lo -MD -MP -MF $(DEPDIR)/libguac_la-socket-tee.Tpo -c -o libguac_la-socket-tee.lo `test -f 'socket-tee.c' || echo '$(srcdir)/'`socket-tee.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-socket-tee.Tpo $(DEPDIR)/libguac_la-socket-tee.Plo
#	$(AM_V_CC)source='socket-tee.c' object='libguac_la-socket-tee.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-socket-tee.lo `test -f 'socket-tee.c' || echo '$(srcdir)/'`socket-tee.c

libguac_la-string.lo: string.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-string.lo -MD -MP -MF $(DEPDIR)/libguac_la-string.Tpo -c -o libguac_la-string.lo `test -f 'string.c' || echo '$(srcdir)/'`string.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-string.Tpo $(DEPDIR)/libguac_la-string.Plo
#	$(AM_V_CC)source='string.c' object='libguac_la-string.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-string.lo `test -f 'string.c' || echo '$(srcdir)/'`string.c

libguac_la-timestamp.lo: timestamp.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-timestamp.lo -MD -MP -MF $(DEPDIR)/libguac_la-timestamp.Tpo -c -o libguac_la-timestamp.lo `test -f 'timestamp.c' || echo '$(srcdir)/'`timestamp.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-timestamp.Tpo $(DEPDIR)/libguac_la-timestamp.Plo
#	$(AM_V_CC)source='timestamp.c' object='libguac_la-timestamp.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-timestamp.lo `test -f 'timestamp.c' || echo '$(srcdir)/'`timestamp.c

libguac_la-unicode.lo: unicode.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-unicode.lo -MD -MP -MF $(DEPDIR)/libguac_la-unicode.Tpo -c -o libguac_la-unicode.lo `test -f 'unicode.c' || echo '$(srcdir)/'`unicode.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-unicode.Tpo $(DEPDIR)/libguac_la-unicode.Plo
#	$(AM_V_CC)source='unicode.c' object='libguac_la-unicode.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-unicode.lo `test -f 'unicode.c' || echo '$(srcdir)/'`unicode.c

libguac_la-user.lo: user.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-user.lo -MD -MP -MF $(DEPDIR)/libguac_la-user.Tpo -c -o libguac_la-user.lo `test -f 'user.c' || echo '$(srcdir)/'`user.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-user.Tpo $(DEPDIR)/libguac_la-user.Plo
#	$(AM_V_CC)source='user.c' object='libguac_la-user.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-user.lo `test -f 'user.c' || echo '$(srcdir)/'`user.c

libguac_la-user-handlers.lo: user-handlers.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-user-handlers.lo -MD -MP -MF $(DEPDIR)/libguac_la-user-handlers.Tpo -c -o libguac_la-user-handlers.lo `test -f 'user-handlers.c' || echo '$(srcdir)/'`user-handlers.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-user-handlers.Tpo $(DEPDIR)/libguac_la-user-handlers.Plo
#	$(AM_V_CC)source='user-handlers.c' object='libguac_la-user-handlers.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-user-handlers.lo `test -f 'user-handlers.c' || echo '$(srcdir)/'`user-handlers.c

libguac_la-user-handshake.lo: user-handshake.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-user-handshake.lo -MD -MP -MF $(DEPDIR)/libguac_la-user-handshake.Tpo -c -o libguac_la-user-handshake.lo `test -f 'user-handshake.c' || echo '$(srcdir)/'`user-handshake.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-user-handshake.Tpo $(DEPDIR)/libguac_la-user-handshake.Plo
#	$(AM_V_CC)source='user-handshake.c' object='libguac_la-user-handshake.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-user-handshake.lo `test -f 'user-handshake.c' || echo '$(srcdir)/'`user-handshake.c

libguac_la-wait-fd.lo: wait-fd.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-wait-fd.lo -MD -MP -MF $(DEPDIR)/libguac_la-wait-fd.Tpo -c -o libguac_la-wait-fd.lo `test -f 'wait-fd.c' || echo '$(srcdir)/'`wait-fd.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-wait-fd.Tpo $(DEPDIR)/libguac_la-wait-fd.Plo
#	$(AM_V_CC)source='wait-fd.c' object='libguac_la-wait-fd.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-wait-fd.lo `test -f 'wait-fd.c' || echo '$(srcdir)/'`wait-fd.c

libguac_la-wol.lo: wol.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-wol.lo -MD -MP -MF $(DEPDIR)/libguac_la-wol.Tpo -c -o libguac_la-wol.lo `test -f 'wol.c' || echo '$(srcdir)/'`wol.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-wol.Tpo $(DEPDIR)/libguac_la-wol.Plo
#	$(AM_V_CC)source='wol.c' object='libguac_la-wol.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-wol.lo `test -f 'wol.c' || echo '$(srcdir)/'`wol.c

libguac_la-encode-webp.lo: encode-webp.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-encode-webp.lo -MD -MP -MF $(DEPDIR)/libguac_la-encode-webp.Tpo -c -o libguac_la-encode-webp.lo `test -f 'encode-webp.c' || echo '$(srcdir)/'`encode-webp.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-encode-webp.Tpo $(DEPDIR)/libguac_la-encode-webp.Plo
#	$(AM_V_CC)source='encode-webp.c' object='libguac_la-encode-webp.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-encode-webp.lo `test -f 'encode-webp.c' || echo '$(srcdir)/'`encode-webp.c

libguac_la-socket-ssl.lo: socket-ssl.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-socket-ssl.lo -MD -MP -MF $(DEPDIR)/libguac_la-socket-ssl.Tpo -c -o libguac_la-socket-ssl.lo `test -f 'socket-ssl.c' || echo '$(srcdir)/'`socket-ssl.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-socket-ssl.Tpo $(DEPDIR)/libguac_la-socket-ssl.Plo
#	$(AM_V_CC)source='socket-ssl.c' object='libguac_la-socket-ssl.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-socket-ssl.lo `test -f 'socket-ssl.c' || echo '$(srcdir)/'`socket-ssl.c

libguac_la-socket-wsa.lo: socket-wsa.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -MT libguac_la-socket-wsa.lo -MD -MP -MF $(DEPDIR)/libguac_la-socket-wsa.Tpo -c -o libguac_la-socket-wsa.lo `test -f 'socket-wsa.c' || echo '$(srcdir)/'`socket-wsa.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libguac_la-socket-wsa.Tpo $(DEPDIR)/libguac_la-socket-wsa.Plo
#	$(AM_V_CC)source='socket-wsa.c' object='libguac_la-socket-wsa.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libguac_la_CFLAGS) $(CFLAGS) -c -o libguac_la-socket-wsa.lo `test -f 'socket-wsa.c' || echo '$(srcdir)/'`socket-wsa.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-libguacincHEADERS: $(libguacinc_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(libguacinc_HEADERS)'; test -n "$(libguacincdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libguacincdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libguacincdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libguacincdir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libguacincdir)" || exit $$?; \
	done

uninstall-libguacincHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libguacinc_HEADERS)'; test -n "$(libguacincdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libguacincdir)'; $(am__uninstall_files_from_dir)

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libguacincdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-libguacincHEADERS

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am: install-libLTLIBRARIES

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-libLTLIBRARIES uninstall-libguacincHEADERS

.MAKE: $(am__recursive_targets) install-am install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
	check-am clean clean-generic clean-libLTLIBRARIES \
	clean-libtool cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-libguacincHEADERS install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
	uninstall-am uninstall-libLTLIBRARIES \
	uninstall-libguacincHEADERS

.PRECIOUS: Makefile


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
